function [viscg,lamg]=visclam(x,T,M)
        %Lambda-Vektor
        LAM=[heatconh2o(T) heatcontar(T) heatconh2(T) heatcono2(T) heatconn2(T) heatconco(T) heatconco2(T) heatconch4(T)];
        %/Viscositten-Vektor
        VISC=[visch2o(T) visctar(T) visch2(T) visco2(T) viscn2(T) viscco(T) viscco2(T) viscch4(T)];
        %F-Matrix
        F=zeros(8,8);
        for i=1:8
            for j=1:8
                F(i,j)=(1+(VISC(i)/VISC(j))^0.5*(M(i+1)/M(j+1))^0.25)^2/sqrt(8*(1+M(j+1)/M(i+1)));
            end
        end
        %Gemischte Wrmeleitfhigkeit & Viskositt
        lamg=0;
        viscg=0;
        for i=1:8
            FSum=0;
            for j=1:8
                FSum=FSum+x(j)*F(i,j);
            end
            viscg=viscg+x(i)*VISC(i)/FSum;
            lamg=lamg+x(i)*LAM(i)/FSum;
        end
end