function [m,ug]=start(eps,epsp,rho,gas_content)
    %mass concentration in control volume
    m=zeros(9,1);
    epsg=(eps+(1-eps)*epsp);
    m(1)=(1-eps)*(1-epsp)*rho(1);         %[kg/m3e]*[m3e/m3r] = [kg/m3r]
    m(5)=(gas_content(5)*rho(5))*eps;     %[kg/m3r] O2
    m(6)=(gas_content(6)*rho(6))*eps;     %[kg/m3r] N2
    m(8)=(gas_content(8)*rho(8))*eps;     %[kg/m3r] CO2
end